Bug 851205 - schedulers list is bigger than its parent
schedulers list is bigger than its parent
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: cumin (Show other bugs)
Unspecified Unspecified
medium Severity unspecified
: 2.3
: ---
Assigned To: Chad Roberts
Peter Belanyi
Depends On:
  Show dependency treegraph
Reported: 2012-08-23 09:47 EDT by Martin Kudlej
Modified: 2014-11-17 21:24 EST (History)
5 users (show)

See Also:
Fixed In Version: cumin-0.1.5492-1
Doc Type: Bug Fix
Doc Text:
Cause: The css property table-layout was set to "auto", which results in the possibility of tables running over boundaries. Consequence: On the Schedulers page, the table would overrun the boundary line, resulting in a slightly ugly display. No user functionality was limited by this. Fix: We are now using the css property table-layout:fixed to keep the table inside the boundary line. In addition, we have added <col> tags in each table to define each column's width. Result: The table on the Scheduler page should never run outside the boundary line. Instead, the cells inside may compress when the screen is narrowed.
Story Points: ---
Clone Of:
Last Closed: 2013-03-06 13:45:30 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Martin Kudlej 2012-08-23 09:47:00 EDT
Description of problem:
I think border of schedulers list should be as big as schedulers list.

Version-Release number of selected component (if applicable):
Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/536.11 (KHTML, like Gecko) Chrome/20.0.1132.47 Safari/536.11
Mozilla/5.0 (X11; Linux i686 on x86_64; rv:10.0.6) Gecko/20100101 Firefox/10.0.6

How reproducible:

Steps to Reproduce:
1. show schedulers list in smaller window as its context
Actual results:
borer of list is smaller than content.

Expected results:
Border will be around the content.
Comment 3 Chad Roberts 2012-09-06 10:58:07 EDT
Fixed in revision 5456 on trunk.
Comment 4 Chad Roberts 2012-09-13 14:36:11 EDT
Upon further review, my fix from 5456 is not sufficient for all pages.  Taking back to Assigned for further investigation.
Comment 5 Chad Roberts 2012-09-14 14:47:08 EDT
Fix completed in trunk revision 5469.  We have added <col> tags in each table so that the table-layout:fixed will know how wide each column needs to be.
Comment 8 Peter Belanyi 2012-11-23 05:41:01 EST
I was able to reproduce the bug on:

Tested on RHEL5, RHEL6 on both i386 and x86_64:

All works as expected.

Comment 11 errata-xmlrpc 2013-03-06 13:45:30 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.